# class DBus::Data::StringLike

{DBus::Data::String}, {DBus::Data::ObjectPath}, or {DBus::Data::Signature}.

### Public Class Methods

fixed?() click to toggle source

        # File lib/dbus/data.rb
    400 def self.fixed?
    401   false
    402 end

new(value) click to toggle source
Calls superclass method `DBus::Data::Base::new`

        # File lib/dbus/data.rb
    404 def initialize(value)
    405   if value.is_a?(self.class)
    406     value = value.value
    407   else
    408     self.class.validate_raw!(value)
    409   end
    410
    411   super(value)
    412 end